Loading...
Searching...
No Matches
websocketpp::frame::extended_header Struct Reference

The variable size component of a WebSocket frame header. More...

`#include <frame.hpp>`

## Public Member Functions

| extended_header (uint64_t payload_size)
| extended_header (uint64_t payload_size, uint32_t masking_key)

## Public Attributes

uint8_t | bytes [MAX_EXTENDED_HEADER_LENGTH]

## Detailed Description

The variable size component of a WebSocket frame header.

Definition at line 235 of file frame.hpp.

## Constructor & Destructor Documentation

## extended_header() [1/3]

websocketpp::frame::extended_header::extended_header | ( |  | ) |

inline

Definition at line 236 of file frame.hpp.

## extended_header() [2/3]

websocketpp::frame::extended_header::extended_header | ( | uint64_t | payload_size | ) |

inline

Definition at line 240 of file frame.hpp.

## extended_header() [3/3]

websocketpp::frame::extended_header::extended_header | ( | uint64_t | payload_size,
|  | uint32_t | masking_key )

inline

Definition at line 246 of file frame.hpp.

## Member Data Documentation

## bytes

uint8_t websocketpp::frame::extended_header::bytes[MAX_EXTENDED_HEADER_LENGTH]

Definition at line 258 of file frame.hpp.

The documentation for this struct was generated from the following file:

- websocketpp/frame.hpp